Bug 25067 - rapid-photo-downloader does not start in Mageia 7 x64
Summary: rapid-photo-downloader does not start in Mageia 7 x64
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: x86_64 Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords: feedback
Depends on:
Blocks:
 
Reported: 2019-07-07 16:52 CEST by Ales Cerny
Modified: 2019-09-01 19:46 CEST (History)
6 users (show)

See Also:
Source RPM: rapid-photo-downloader-0.9.9-6.mga7.src.rpm
CVE:
Status comment:


Attachments

Description Ales Cerny 2019-07-07 16:52:10 CEST
Description of problem:
i installed the new Mageia 7 with Xfce (64bit), it is clean installation, but rapid-photo-downloader does not start, in terminal i have this:
[user@m7 ~]$ rapid-photo-downloader 
Traceback (most recent call last):
  File "/usr/bin/rapid-photo-downloader", line 11, in <module>
    load_entry_point('rapid-photo-downloader==0.9.9', 'gui_scripts', 'rapid-photo-downloader')()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 489, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2843, in load_entry_point
    return ep.load()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2434, in load
    return self.resolve()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2440, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3.7/site-packages/raphodo/rapid.py", line 117, in <module>
    from raphodo.thumbnaildisplay import (
  File "/usr/lib/python3.7/site-packages/raphodo/thumbnaildisplay.py", line 39, in <module>
    from colour import Color
ImportError: cannot import name 'Color' from 'colour' (/usr/lib/python3.7/site-packages/colour.py)


Version-Release number of selected component (if applicable):
rapid-photo-downloader-0.9.9-6.mga7.src.rpm
kernel 5.1.14-desktop-1.mga7


How reproducible:


Steps to Reproduce:
1. install rapid-photo-downloader
2. run in terminal rapid-photo-downloader
Ales Cerny 2019-07-07 23:01:34 CEST

CC: (none) => alda.cerny

Comment 1 Marja Van Waes 2019-07-12 20:29:55 CEST
This was fixed in cauldron:

* Sun Jul 07 2019 wally <wally> 0.9.14-1.mga8
+ Revision: 1419357
- new version 0.9.14
- drop py-colour patch as colour is really wanted (mga#25067)
- require python3-sip and libmediainfo

There is no registered maintainer for this package, so assigning to all packagers collectively. Hopefully one of them finds time to fix this in Mageia 7

CC'ing two submitters.

CC: (none) => geiger.david68210, marja11, smelror
Assignee: bugsquad => pkg-bugs

Comment 2 Jani Välimaa 2019-08-30 12:09:11 CEST
Pushed python-colourand rapid-photo-downloader to core/updates_testing. Please test.

SRPMS:
python-colour-0.1.5-1.mga7
rapid-photo-downloader-0.9.9-6.1.mga7

RPMS:
python3-colour-0.1.5-1.mga7
rapid-photo-downloader-0.9.9-6.1.mga7

CC: (none) => jani.valimaa

Comment 3 Ales Cerny 2019-08-30 22:15:13 CEST
hi Jani,
thank you for your work and time :)

rapid-photo-downloader starts now, i can copy photos and videos :)

when i start rapid-photo-downloader in terminal, an error message appears:
ERROR    pymediainfo is installed, but the library libmediainfo appears to be missing
this error is directly related to the version of rapid-photo-downloader https://github.com/NixOS/nixpkgs/issues/56815

later version of the program should solve this, but it is not necessary now

thank you very much
Jani Välimaa 2019-08-30 22:25:02 CEST

Assignee: pkg-bugs => qa-bugs

Comment 4 Len Lawrence 2019-09-01 19:44:39 CEST
mga7, x86_64

$ rapid-photo-downloader
Traceback (most recent call last):
  File "/usr/bin/rapid-photo-downloader", line 11, in <module>
    load_entry_point('rapid-photo-downloader==0.9.9', 'gui_scripts', 'rapid-photo-downloader')()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 489, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2843, in load_entry_point
    return ep.load()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2434, in load
    return self.resolve()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2440, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3.7/site-packages/raphodo/rapid.py", line 74, in <module>
    import sip
ModuleNotFoundError: No module named 'sip'

Updated the packages.
$ rpm -qa | grep rapid-photo
rapid-photo-downloader-0.9.9-6.1.mga7
$ rpm -qa | grep python3-colour
python3-colour-0.1.5-1.mga7

cli launch fails again with the same error messages.

Installed python3-sip-4.19.16-1.mga7.x86_64 and the gui launched fine.
Jani, you probably need to add the dependency.

CC: (none) => tarazed25

Len Lawrence 2019-09-01 19:44:53 CEST

Keywords: (none) => feedback

Comment 5 Damon Lynch 2019-09-01 19:46:27 CEST
Please consider updating the Rapid Photo Downloader package to use a newer upstream version. The version Mageia has was released 18 months ago; since then there have been several really quite important bug fixes, as well as some new features and translations updates. Consult the README.rst for any newly required packages. Thank you.

Note You need to log in before you can comment on or make changes to this bug.